# Gimp.ValueArray.new_from_values

    function new_from_values(values: Array(Any)): Gimp.ValueArray {
        // Gjs wrapper for gimp_value_array_new_from_values()
    }

Allocate and initialize a new Gimp.ValueArray, and fill it with the given GObject.Values. When no GObject.Values are given, returns empty Gimp.ValueArray.

Since 3.0

values

  The GObject.Value elements

Returns

  a newly allocated Gimp.ValueArray.